﻿@model List<SSTC.Entity.Registry>
<table class="table table-bordered table-condensed table-striped">
    @if (Model.Count != 0)
    {
        <tr>
            <th><b>Kategoria: </b></th>
            <th><b>Projekt: </b></th>
            <th><b>Liczba godzin: </b></th>
            <th><b>Nadgodziny: </b></th>
            <th><b>Data wykonania: </b></th>
            <th><b>Komentarz: </b></th>
            <th><b>Status: </b></th>
            <th></th>
        </tr>
        foreach (var item in Model)
        {
            <tr style="@(item.Status == 0 ? "background-color:yellow" : "background-color:greenyellow")">
                @using (@Html.BeginForm("SaveEditCategory", "Admin", FormMethod.Post))
                {
                    <td>
                        <span>@item.Category.Name</span>
                    </td>
                    <td>
                        <span>@item.Project.Name</span>
                    </td>
                    <td>
                        <span>@item.NumOfHours</span>
                    </td>
                    <td>
                        <span>@item.NumOfOvertime</span>
                    </td>
                    <td>
                        <span>@item.RegDate.ToShortDateString()</span>
                    </td>
                    <td>
                        <span>@item.Comment</span>
                    </td>
                    <td>
                        <span>@Enum.ToObject(typeof(SSTC.Enum.Enums.RegistryStatus), item.Status)</span>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-primary" type="button" value="Zatwierdź" onclick="location.href='@Url.Action("Accept", "Manager", new { _id = item.Id })'" />
                        <input class="btn btn-group btn-sm btn-danger" type="button" value="Odrzuć" onclick="location.href='@Url.Action("Reject", "Manager", new { _id = item.Id })'" />
                    </td>
                }

            </tr>
        }
    }
</table>
